#pragma once
#if defined(_WIN32) || defined(_WIN64)

#include "Participants/ParticipantUDP.h"

namespace RoboidControl {

class ParticipantUDP : public ParticipantUDPGeneric {
 public:
  ParticipantUDP();
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void SetupTCP(const char* remoteIpAddres, int remotePort);
  bool SendTo(RemoteParticipantUDP* remoteParticipant, int bufferSize);
  bool SendTCP(int bufferSize);
  bool Publish(IMessage* msg);

  void Receive();
  int ReceiveTCP();

 protected:
#if defined(_WIN32) || defined(_WIN64)
  SOCKET sock;
#endif
};

}  // namespace RoboidControl
#endif